import { jsx } from "react/jsx-runtime";
import { OptionIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Option = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Option", ...props, children: /* @__PURE__ */ jsx(OptionIcon, { weight: variant }) });
  }
);
Option.displayName = "Option";
Object.assign(Option, { isGdsIcon: true });
export {
  Option
};
